## alsasink alsasink — Output to a sound card via ALSA |

## Synopsis

    struct              GstAlsaSink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstAudioBaseSink
                                     +----GstAudioSink
                                           +----GstAlsaSink

## Implemented Interfaces

GstAlsaSink implements GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read
      "card-name"                gchar*                : Read

## Description

## Synopsis

### Element Information

plugin | alsa
author | Wim Taymans <wim@fluendo.com>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-ac3, framed=(boolean)true
| audio/x-eac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true, block-size=(int){ 512, 1024, 2048 }
| audio/mpeg, mpegversion=(int)1, mpegaudioversion=(int)[ 1, 2 ], parsed=(boolean)true

## Details

### struct GstAlsaSink

    struct GstAlsaSink;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""

### The `"card-name"` property

      "card-name"                gchar*                : Read

Human-readable name of the sound card.

Default value: ""